org.apache.lucene.index

## Class TieredMergePolicy.MergeScore

- java.lang.Object
- - org.apache.lucene.index.TieredMergePolicy.MergeScore

- Enclosing class:
    TieredMergePolicy

      protected abstract static class TieredMergePolicy.MergeScore
      extends Object

  Holds score and explanation for a single candidate merge.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TieredMergePolicy.MergeScore()` Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TieredMergePolicy.MergeScore

          protected TieredMergePolicy.MergeScore()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.